local DbOption  = require('Options.DbOption')
local Range     = DbOption.Range
local oms       = require('optionsModsScripts')

-- find the relative location of optionsDb.lua
function script_path() 
    -- remember to strip off the starting @ 
	local luafileloc = debug.getinfo(2, "S").source:sub(2)
	local ti, tj = string.find(luafileloc, "Options")
	local temploc = string.sub(luafileloc, 1, ti-1)
    return temploc
end 

-- find module path
local relativeloc = script_path()
modulelocation = lfs.currentdir().."\\"..relativeloc

local tblCPLocalList = oms.getTblCPLocalList(modulelocation)

return {
	autoRudder	= DbOption.new():setValue(false):checkbox(),
	assistance	= DbOption.new():setValue(100):slider(Range(0, 100)),
	aileronTrim	= DbOption.new():setValue(0):slider(Range(-100, 100)),
	rudderTrim	= DbOption.new():setValue(0):slider(Range(-100, 100)),
    cameraOrigin = DbOption.new():setValue(0):combo({
                                                        DbOption.Item(_('AUTO')):Value(0),
                                                        DbOption.Item(_('CRUISE')):Value(1),
                                                        DbOption.Item(_('GUNSIGHT')):Value(2),
                                                     }),
    CPLocalList	= tblCPLocalList["Cockpit_Bf-109K-4"],
}
